### Property

# Clutter AlignConstraint:align-axis

#### Declaration

    property align-axis: Clutter.AlignAxis [ read, write, construct ]

#### Description [src]

The axis to be used to compute the alignment.

Type:`ClutterAlignAxis`

Default value | CLUTTER_ALIGN_X_AXIS
Getter method | `clutter_align_constraint_get_align_axis()`
Setter method | `clutter_align_constraint_set_align_axis()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no